import React from "react";
import { Routes, BrowserRouter as Router, Route } from "react-router-dom";

import Landing from "./views/Landing.view";
import Home from "./views/Home.view";
import Settings from "./views/Settings.view";
import Applications from "./views/Applications.view";
import DialogBox from "./components/Modals/DialogBox";

import AppState from "./components/AppState";

import "./app.scss";
import "./components.scss";
import ProtectedRoutes from "./components/ProtectedRoute";
import ApplicationsLayout from "./Layouts/ApplicationLayout";
import Applicant from "./views/Application";
import MeetingRoom from "./views/MeetingRoom";
import Organization from "./views/Organization.view";

function App() {
  return (
    <Router>
      <Routes>
        <Route path="/" element={<Landing />} />
        <Route element={<ProtectedRoutes />}>
          <Route path="/home" element={<Home />} />
          <Route path="/settings" element={<Settings />} />
          <Route path="/organizations" element={<Organization />} />
          <Route element={<ApplicationsLayout />}>
            <Route path="/applications" element={<Applications />} />
            <Route path="/applicant" element={<Applicant />} />
            <Route path="/meeting" element={<MeetingRoom />} />
          </Route>
        </Route>
      </Routes>
      <AppState />
      <DialogBox />
    </Router>
  );
}

export default App;
