import { combineReducers } from "redux";
import { persistReducer } from "redux-persist";
import storage from "redux-persist/lib/storage";

import authReducer from "../reducers/auth";
import commonReducer from "../reducers/common";

const AuthPersistConfig = {
  storage,
  key: "auth",
};

const CommonPersistConfig = {
  storage,
  key: "common",
};

export default combineReducers({
  auth: persistReducer(AuthPersistConfig, authReducer),
  common: persistReducer(CommonPersistConfig, commonReducer),
});
